## systembridgemodels 4.2.4

=== requirements.txt ===
incremental>=24.7.2

=== debian/changelog ===
systembridgemodels (4.2.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Nov 2024 19:44:47 +0000

systembridgemodels (4.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1087237)

 -- Edward Betts <edward@4angle.com>  Sun, 10 Nov 2024 09:59:27 +0000

=== debian/control ===
Source: systembridgemodels
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-incremental,
 python3-pytest <!nocheck>,
 python3-pytest-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-sugar <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/timmo001/system-bridge-models
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/systembridgemodels
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/systembridgemodels.git

Package: python3-systembridgemodels
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to model system information for local applications
 This library provides a comprehensive data model for representing system
 information on a local machine. It allows seamless integration with services
 that utilize system metrics, offering access to key details such as CPU and
 memory usage, system load, disk space, and more. The library communicates via
 API/WebSocket to share this information efficiently. Additionally, it supports
 executing commands remotely, such as opening URLs and sending keyboard inputs,
 thus enhancing control over the system through programmable interfaces.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=systembridgemodels
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="-k not test_update and not test_system" --snapshot-warn-unused
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf systembridgemodels.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-aiohttp,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-sugar,
 python3-pytest-timeout,
 python3-syrupy,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/systembridgemodels-$1\.tar\.gz/ \
  https://github.com/timmo001/system-bridge-models/tags .*/v?(\d\S+)\.tar\.gz

## systembridgemodels 4.2.5

=== debian/changelog ===
systembridgemodels (4.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Skip failing tests.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 21 Aug 2025 10:52:18 +0100

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
  python3-pytest-timeout <!nocheck>,
  python3-syrupy <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/timmo001/system-bridge-models
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/systembridgemodels
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/systembridgemodels.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-systembridgemodels
 Architecture: all

=== debian/watch ===
version=4
https://github.com/timmo001/system-bridge-models/tags .*/v?(\d\S+)\.tar\.gz

## systembridgemodels 5.1.1

=== debian/changelog ===
systembridgemodels (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 12:59:09 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-pytest-sugar <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/timmo001/system-bridge-models
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/systembridgemodels

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_system" --ignore=tests/test_update.py --ignore=tests/test_version.py --snapshot-warn-unused

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf systembridgemodels.egg-info/

=== debian/watch ===
Version: 5

Template: Github
Owner: timmo001
Project: system-bridge-models
